org.rrd4j.graph

## Enum RrdGraphConstants.FontTag

- java.lang.Object
- - java.lang.Enum<RrdGraphConstants.FontTag>
  - - org.rrd4j.graph.RrdGraphConstants.FontTag

- All Implemented Interfaces:
    Serializable, Comparable<RrdGraphConstants.FontTag>
  Enclosing interface:
    RrdGraphConstants

      public static enum RrdGraphConstants.FontTag
      extends Enum<RrdGraphConstants.FontTag>

  Allowed font tag names which can be used in `RrdGraphDef.setFont(org.rrd4j.graph.RrdGraphConstants.FontTag, java.awt.Font)` method

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AXIS` Index of the axis label font.
    `DEFAULT` Index of the default font.
    `LEGEND` Index of the graph legend font.
    `TITLE` Index of the title font.
    `UNIT` Index of the vertical unit label font.
    `WATERMARK` Index of the edge watermark font.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Font` | `get(Font f, Font[] fonts)`
    `void` | `set(Font f, Font[] fonts)`
    `static RrdGraphConstants.FontTag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RrdGraphConstants.FontTag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AXIS

          public static final RrdGraphConstants.FontTag AXIS

      Index of the axis label font. Used in `RrdGraphDef.setFont(org.rrd4j.graph.RrdGraphConstants.FontTag, java.awt.Font)`

    - #### DEFAULT

          public static final RrdGraphConstants.FontTag DEFAULT

      Index of the default font. Used in `RrdGraphDef.setFont(org.rrd4j.graph.RrdGraphConstants.FontTag, java.awt.Font)`

    - #### LEGEND

          public static final RrdGraphConstants.FontTag LEGEND

      Index of the graph legend font. Used in `RrdGraphDef.setFont(org.rrd4j.graph.RrdGraphConstants.FontTag, java.awt.Font)`

    - #### TITLE

          public static final RrdGraphConstants.FontTag TITLE

      Index of the title font. Used in `RrdGraphDef.setFont(org.rrd4j.graph.RrdGraphConstants.FontTag, java.awt.Font)`

    - #### UNIT

          public static final RrdGraphConstants.FontTag UNIT

      Index of the vertical unit label font. Used in `RrdGraphDef.setFont(org.rrd4j.graph.RrdGraphConstants.FontTag, java.awt.Font)`

    - #### WATERMARK

          public static final RrdGraphConstants.FontTag WATERMARK

      Index of the edge watermark font. Used in `RrdGraphDef.setFont(org.rrd4j.graph.RrdGraphConstants.FontTag, java.awt.Font)`

  - ### Method Detail

    - #### get

          public Font get(Font f,
                          Font[] fonts)

    - #### set

          public void set(Font f,
                          Font[] fonts)

    - #### valueOf

          public static RrdGraphConstants.FontTag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static RrdGraphConstants.FontTag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RrdGraphConstants.FontTag c : RrdGraphConstants.FontTag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared